Skip to content

Create Completion

POST https://www.kkiai.com/v1/completions

Given a prompt, the model will return one or more predicted completions, and can also return the probabilities of alternative tokens at each position.

Create a completion for the provided prompt and parameters

https://platform.openai.com/docs/api-reference/completions

Request Parameters

Authorization

Add the Authorization parameter in the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Header Parameters

ParameterTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

ParameterTypeRequiredDescription
modelstringRequiredID of the model to use. You can use the List models API to see all available models, or see our model overview to learn about their descriptions.
promptstringRequiredThe prompt(s) to generate completions for, encoded as a string, array of strings, array of tokens, or array of token arrays. Note that <|endoftext|> is the document separator the model sees during training, so if a prompt is not specified the model will generate as if starting a new document.
best_ofintegerOptionalDefaults to 1. Generates best_of completions server-side and returns the "best" (the one with the highest log probability per token). Cannot be used together with streaming. When used with n, best_of controls the number of candidate completions and n specifies how many to return – best_of must be greater than n. Note: because this parameter generates many completions, it can quickly consume your token quota. Use with caution and ensure you have reasonable settings for max_tokens and stop.
echobooleanOptionalDefaults to false. Echo back the prompt in addition to the completion.
frequency_penaltynumberOptionalDefaults to 0. A number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim.
logit_biasobjectOptionalDefaults to null. Modify the likelihood of specified tokens appearing in the completion. Accepts a JSON object that maps tokens (specified by their token ID in the GPT tokenizer) to an associated bias value from -100 to 100. You can use this tokenizer tool (for GPT-2 and GPT-3) to convert text to token IDs. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood; and values like -100 or 100 should result in the associated token being nearly impossible or essentially guaranteed to be selected. For example, you can pass {"50256": -100} to prevent the <|endoftext|> token from being generated.
logprobsnullOptionalDefaults to null. Include the log probabilities on the most likely tokens, as well as the chosen tokens. For example, if logprobs is 5, the API will return a list of the 5 most likely tokens. The API will always return the logprob of the sampled token, so there may be up to logprobs+1 elements in the response. The maximum value for logprobs is 5.
max_tokensintegerOptionalDefaults to 16. The maximum number of tokens to generate in the completion. The token count of your prompt plus max_tokens cannot exceed the model's context length. Python code example for counting tokens.
nintegerOptionalDefaults to 1. How many completions to generate for each prompt. Note: because this parameter generates many completions, it can quickly consume your token quota. Use with caution and ensure you have reasonable settings for max_tokens and stop.
presence_penaltynumberOptionalDefaults to 0. A number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics.
seedintegerOptionalIf specified, our system will make a best effort to sample deterministically, such that repeated requests with the same seed and parameters should return the same result. Determinism is not guaranteed, and you should refer to the system_fingerprint response parameter to monitor backend changes.
stopstringOptionalDefaults to null. Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.
streambooleanOptionalDefaults to false. Whether to stream back partial progress. If set, tokens will be sent as data-only server-sent events as they become available, with the stream terminated by a data: [DONE] message. Python code example.
suffixstringOptionalDefaults to null. The suffix that comes after a completion of inserted text.
temperatureintegerOptionalDefaults to 1. What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. We generally recommend altering this or top_p but not both.
userstringRequired
top_pintegerOptionalA unique identifier representing your end-user, which can help OpenAI monitor and detect abuse. Learn more.

Request Example

json
{
    "model": "gpt-3.5-turbo-instruct",
    "prompt": "Hello,",
    "max_tokens": 30,
    "temperature": 0
  }

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/v1/completions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "gpt-3.5-turbo-instruct",
    "prompt": "Hello,",
    "max_tokens": 30,
    "temperature": 0
  }'

Response

🟢 200 Ok

Response Body

ParameterTypeRequiredDescription
idstringRequired
objectstringRequired
createdintegerRequired
modelstringRequired
system_fingerprintstringRequired
choicesarray[object]Required
  └ textstringOptional
  └ indexintegerOptional
  └ logprobsnullOptional
  └ finish_reasonstringOptional
usageobjectRequired
  └ prompt_tokensintegerRequired
  └ completion_tokensintegerRequired
  └ total_tokensintegerRequired

Response Example

json
{
  "id": "cmpl-ByvHP6AWeB1L5wVZSPNHsB12sU9db",
  "object": "text_completion",
  "created": 1753859563,
  "model": "gpt-3.5-turbo-instruct",
  "choices": [
    {
      "index": 0,
      "logprobs": null,
      "finish_reason": "length",
      "text": "I'm Ava, nice to meet you. I'm an AI assistant, and I can help"
    }
  ],
  "usage": {
    "prompt_tokens": 3,
    "completion_tokens": 30,
    "total_tokens": 33
  }
}